#ifndef CSPEAKER_H
#define CSPEAKER_H
#include <iostream>
#include <QDataStream>

class cSpeaker
{
public:
    cSpeaker();
    cSpeaker(std::string name, unsigned short imp, unsigned short rmsPower, unsigned short peakPower, unsigned short hpf);
    std::string getName();
    unsigned short getImpedance();
    unsigned short getRMSPower();
    unsigned short getPeakPower();
    unsigned short getHPF();

    void setName(std::string name);
    void setImpedance(unsigned short imp);
    void setRMSPower(unsigned short rmsPower);
    void setPeakPower(unsigned short peakPower);
    void setHPF(unsigned short hpf);

    friend QDataStream& operator <<(QDataStream& out,cSpeaker& speaker);
    friend QDataStream& operator >>(QDataStream& in,cSpeaker& speaker);
private:
    std::string m_name;
    unsigned short m_imp;
    unsigned short m_rmsPower;
    unsigned short m_peakPower;
    unsigned short m_hpf;
};

#endif // CSPEAKER_H
